Zum Hauptinhalt springen

Get a HandleSchema

GET/v2/domains/handle-schema/{domainName}
API-Version
v2
Request-Methode
GET
Operation-ID
deprecated-domain-get-handle-fields

Request​

  • domainNamestring (naked-domain)required

    The whole domain name

Responses​

Format
application/json
Beschreibung

The parseable json schema objects

  • jsonSchemaAdminCobject
  • jsonSchemaOwnerCobjectrequired
Content-Type: application/json

{
"jsonSchemaAdminC": {},
"jsonSchemaOwnerC": {}
}
{
"properties": {
"jsonSchemaAdminC": {
"type": "object"
},
"jsonSchemaOwnerC": {
"type": "object"
}
},
"required": [
"jsonSchemaOwnerC"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domains/handle-schema/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deprecatedDomainGetHandleFields({
"domainName": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDomainGetHandleFields\DeprecatedDomainGetHandleFieldsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeprecatedDomainGetHandleFieldsRequest(
domainName: "string"
));
$response = $client->domain()->deprecatedDomainGetHandleFields($request);

var_dump($response->getBody();

Auf dieser Seite